rhythmbox assert failure: rhythmbox: /build/buildd/nspluginwrapper-1.2.2/src/npw-rpc.c:1225: do_recv_NPObject: Assertion `npobj != ((void *)0)' failed.

Bug #544864 reported by Alex Murray on 2010-03-23
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
libubuntuone
Low
Rodrigo Moya
libubuntuone (Ubuntu)
Low
Rodrigo Moya
nspluginwrapper (Ubuntu)
Undecided
Unassigned
rhythmbox (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: rhythmbox

Crashed when trying to use ubuntuone-music-store plugin - as am in Australia I get the world store, and I simply clicked on the first item listed in 'World Store Top Picks' on the front page (Oasis - Definitely Maybe) and rhythmbox crashed. I can reliably reproduce this by clicking any item on the front page.

ProblemType: Crash
Architecture: amd64
AssertionMessage: rhythmbox: /build/buildd/nspluginwrapper-1.2.2/src/npw-rpc.c:1225: do_recv_NPObject: Assertion `npobj != ((void *)0)' failed.
CrashCounter: 1
Date: Tue Mar 23 19:02:18 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/rhythmbox
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
NonfreeKernelModules: wl nvidia
Package: rhythmbox 0.12.7-0ubuntu7
ProcCmdline: rhythmbox
ProcEnviron:
 LANG=en_AU.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Signal: 6
SourcePackage: rhythmbox
StacktraceTop:
 raise () from /lib/libc.so.6
 abort () from /lib/libc.so.6
 __assert_fail () from /lib/libc.so.6
 ?? ()
 ?? ()
Title: rhythmbox assert failure: rhythmbox: /build/buildd/nspluginwrapper-1.2.2/src/npw-rpc.c:1225: do_recv_NPObject: Assertion `npobj != ((void *)0)' failed.
Uname: Linux 2.6.32-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Alex Murray (alexmurray) wrote :
Sebastien Bacher (seb128) wrote :

the issue is not a rhythmbox one

Changed in rhythmbox (Ubuntu):
importance: Undecided → Low
status: New → Invalid
Alex Murray (alexmurray) wrote :

As can be seen from the stacktrace this looks like a crash in the flash player, and after uninstalling adobe flash player I can no longer reproduce this crash. Will try later with gnash or swfdec perhaps... this is a shame as in general the adobe flash plugin is perfectly stable in Chrome / Firefox

Alex Murray (alexmurray) wrote :

accidentally assigned to ubuntu, reverting

affects: rhythmbox (Ubuntu) → ubuntu
affects: ubuntu → rhythmbox (Ubuntu)
Changed in rhythmbox-ubuntuone-music-store:
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Stuart Langridge (sil) on 2010-03-25
Changed in rhythmbox-ubuntuone-music-store:
importance: Undecided → Wishlist
Changed in rhythmbox-ubuntuone-music-store (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Changed in rhythmbox-ubuntuone-music-store:
importance: Wishlist → Low
Changed in rhythmbox-ubuntuone-music-store (Ubuntu):
importance: Undecided → Low
Alex Murray (alexmurray) wrote :

Why low importance? This crash makes the music store completely useless when adobe-flash-plugin is installed as it consistently crashes...

Alex Murray (alexmurray) wrote :

As a note - this is actually an assert failure in nspluginwrapper, rather than flashplayer itself - which is needed for the 32-bit flash player on 64-bit ubuntu - as a result it can be worked around by manually installing the native 64-bit adobe flash plugin from http://labs.adobe.com/downloads/flashplayer10_64bit.html (simply copy libflashplayer.so to $HOME/.mozilla/plugins - you may need to create the directory).

Sebastien Bacher (seb128) wrote :

the issue is not really a muscistore one though, rather one in the wrapper code

Changed in rhythmbox-ubuntuone-music-store:
status: New → Fix Committed
affects: rhythmbox-ubuntuone-music-store → libubuntuone
affects: rhythmbox-ubuntuone-music-store (Ubuntu) → libubuntuone (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libubuntuone - 0.3.1-0ubuntu1

---------------
libubuntuone (0.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Disable plugins in the webkit widget (Michael Vogt) (LP: #544864)
    - Don't trust GError's from DBus, it seems sometimes they can be
      NULL (Rodrigo Moya) (LP: #560723)
 -- Ken VanDine <email address hidden> Thu, 15 Apr 2010 10:43:21 -0400

Changed in libubuntuone (Ubuntu):
status: New → Fix Released
Changed in libubuntuone:
status: Fix Committed → Fix Released
dino99 (9d9) wrote :

This version is outdated and no more supported

Changed in nspluginwrapper (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers